
QGIS Application - Bug report #17958

Node tool crashes QGIS when changing a value

2018-01-25 11:46 AM - Alessandro Pasotti

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Digitising

Affected QGIS version:master Regression?: Yes

Operating System: linux xenial 64bit Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25854

Description

    1. open the attached project

    2. click on the pencil to edit the layer

    3. click on node tool

    4. click on a node

    5. open node editor

    6. double click on first cell

    7. change to -1

    8. press enter

Associated revisions

Revision 0e2995c5 - 2018-01-25 05:43 PM - Alessandro Pasotti 

[bugfix] Fix crash in node editor

Fixes #17958 Node tool crashes QGIS when changing a value

History

#1 - 2018-01-25 05:44 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Assignee set to Alessandro Pasotti

- Status changed from Open to In Progress

PR: https://github.com/qgis/QGIS/pull/6174

#2 - 2018-01-29 09:03 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|0e2995c5b654eafe46c4b291f36c5ba660c0d28b.

#3 - 2018-02-21 09:41 PM - Giovanni Manghi

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pull/6174


Files

node_crash.qgs 17.4 KB 2018-01-25 Alessandro Pasotti

bug_17863.shx 164 Bytes 2018-01-25 Alessandro Pasotti

bug_17863.shp 324 Bytes 2018-01-25 Alessandro Pasotti

bug_17863.dbf 2.17 KB 2018-01-25 Alessandro Pasotti

bug_17863.qpj 257 Bytes 2018-01-25 Alessandro Pasotti

bug_17863.prj 143 Bytes 2018-01-25 Alessandro Pasotti

node_crash.gif 1.66 MB 2018-01-25 Alessandro Pasotti
